%define upstream_name    Math-BaseCnv
%define upstream_version 1.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Simple functions for converting between arbitrary number bases
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.B59BrZX.tgz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Memoize)
BuildRequires: perl(Test)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildArch: noarch

%description
BaseCnv provides a few simple functions for converting between arbitrary
number bases. It is as fast as I currently know how to make it (of course
relying only on the lovely Perl). 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}.B59BrZX

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/cnv


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.800.0-12.mga10
+ Revision: 2199575
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.800.0-11.mga9
+ Revision: 1804364
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.800.0-10.mga8
+ Revision: 1495564
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.800.0-9.mga7
+ Revision: 1269224
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.800.0-8.mga6
+ Revision: 1029538
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.800.0-7.mga6
+ Revision: 948000
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.800.0-6.mga5
+ Revision: 747927
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.800.0-5.mga5
+ Revision: 685345
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.800.0-4.mga4
+ Revision: 512862
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.800.0-3.mga3
+ Revision: 369537
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 06 2012 jquelin <jquelin> 1.800.0-2.mga2
+ Revision: 229096
+ rebuild (emptylog)

* Wed Nov 23 2011 kharec <kharec> 1.800.0-1.mga2
+ Revision: 171432
- fix summary
- imported package perl-Math-BaseCnv

